scala

# Tuple1

#### case class Tuple1[+T1](_1: T1) extends Product1[T1] with Product with Serializable

A tuple of 1 elements; the canonical representation of a scala.Product1.

_1

  Element 1 of this Tuple1

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple1.scala

Linear Supertypes
Serializable, java.io.Serializable, Product1[T1], Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Tuple1
2. Serializable
3. Serializable
4. Product1
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple1(_1: T1)

   Create a new tuple with 1 elements.

   Create a new tuple with 1 elements.

   _1

     Element 1 of this Tuple1

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1) to any2stringadd[(T1)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1), B)

   Implicit information
     This member is added by an implicit conversion from (T1) to ArrowAssoc[(T1)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple1

   Element 1 of this Tuple1

   Definition Classes
     Tuple1 → Product1

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: ((T1)) ⇒ Boolean, msg: ⇒ Any): (T1)

   Implicit information
     This member is added by an implicit conversion from (T1) to Ensuring[(T1)] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: ((T1)) ⇒ Boolean): (T1)

    Implicit information
      This member is added by an implicit conversion from (T1) to Ensuring[(T1)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1)

    Implicit information
      This member is added by an implicit conversion from (T1) to Ensuring[(T1)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): (T1)

    Implicit information
      This member is added by an implicit conversion from (T1) to Ensuring[(T1)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1) to StringFormat[(T1)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      1

    Definition Classes
      Product1 → Product

22. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product1 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      Tuple1 → AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): ((T1), B)

    Implicit information
      This member is added by an implicit conversion from (T1) to ArrowAssoc[(T1)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product1[T1]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (T1) to any2stringadd[(T1)]

### Inherited by implicit conversion StringFormat from (T1) to StringFormat[(T1)]

### Inherited by implicit conversion Ensuring from (T1) to Ensuring[(T1)]

### Inherited by implicit conversion ArrowAssoc from (T1) to ArrowAssoc[(T1)]

### Ungrouped